<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
$timeout = 120;
function getUsersCount()
{
  $timeout = $GLOBALS['timeout'];

  if(!$link = mysql_connect("localhost", "test", "test")){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }
  if(!mysql_select_db("test")){
    //echo("Problem z połączeniem z bazą danych.");
    mysql_close($link);
    return false;
  }

  $time = time();
  $query = "INSERT INTO STATS (TIME) VALUES($time)";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return false;
  }

  $val = $time - $timeout;
  $query = "DELETE FROM STATS WHERE TIME < '$val'";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return false;
  }

  $query = "SELECT COUNT(*) FROM STATS";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return false;
  }

  $row = mysql_fetch_row($result);
  if(!$row){
    //echo("Problem z bazą danych: nieprawidłowy wynik zapytania");
    mysql_close($link);
    return false;
  }
  mysql_close($link);

  return $row[0];
}
if(($count = getUsersCount()) !== false){
  if($count == 1){
    echo("Ta strona jest przeglądana przez 1 użytkownika.");
  }
  else{
    echo("W ciągu ostatnich $timeout sekund strona była ");
    echo("przeglądana przez $count użytkowników.");
  }
}
else{
  echo ("Liczba użytkowników przeglądających stronę nie jest dostępna.");
}
?>
